Subject: Re: wierd mtrace values

From: John Hawkinson <[email-masked]>
Date: Sat, 24 Aug 1996 22:24:36 -0400

> What's wrong with the MBone today? I'm getting a lot of duplicate packets in 
> sap.mcast.net. 

Your mtraces don't seem to show any duplicate packets on SAP.MCAST.NET --
the per-group per-source column is 0/0 in both of them, indicating
that the hosts in question were tranmistting _no_ packets
whatsover to the group.

Admittedly the negative numbers indicate _something_ is wrong.

Looking for duplicate packets, I see some from Cisco, and quite a
number from salt.cdt.luth.se to 224.2.0.1 (but none to SAP.MCAST.NET).
upper-gw.sunet.se seems to the item at fault.

Do you still see duplicate packets to SAP.MCAST.NET? Could you post
tcpdump output or mtraces to the specific source/group pairs?

--jhawk

[all-purpose-gunk!jhawk] ~> mtrace -l salt.cdt.luth.se 224.2.0.1
Mtrace from 130.240.193.242 to 199.94.220.184 via group 224.2.0.1
Querying full reverse path... 
  0  all-purpose-gunk.near.net (199.94.220.184)
 -1  all-purpose-gunk.near.net (199.94.220.184)  DVMRP  thresh^ 1  
 -2  cambridge1-mbone1.bbnplanet.net (199.94.207.2)  DVMRP  thresh^ 16  
 -3  schnell.ebone.net (198.67.134.250)  DVMRP  thresh^ 32  
 -4  stockholm.mbone.ebone.net (192.36.148.206)  DVMRP  thresh^ 64  
 -5  upper-gw.sunet.se (192.36.148.196)  PIM  thresh^ 32  
 -6  umu34-gw.sunet.se (193.10.82.5)  PIM  thresh^ 16  
 -7  lule34-gw.sunet.se (193.10.81.33)  PIM  thresh^ 16  
 -8  luth-gw.dc.luth.se (130.240.31.4)  PIM  thresh^ 0  
Round trip time 170 ms
 
...
Waiting to accumulate statistics... * * Results after 45 seconds:
 
  Source        Response Dest    Packet Statistics For     Only For Traffic
   * * *        199.94.220.184   All Multicast Traffic     From 130.240.193.242
     |       __/  rtt  149 ms    Lost/Sent = Pct  Rate       To 224.2.0.1
     v      /     hop   49 s     ---------------------     --------------------
130.240.192.1  
130.240.31.4    luth-gw.dc.luth.se 
     |     ^      ttl    0        1/1098 =  0%  68 pps     0/4    = --%   0 pps
     v     |      hop  -48 s      1/3194 =  0%  70 pps     0/11   =  0%   0 pps
130.240.31.5   
193.10.81.33    lule34-gw.sunet.se 
     |     ^      ttl   18        0/8    = --%   0 pps     0/4    = --%   0 pps
     v     |      hop    5 ms     0/20   =  0%   0 pps     0/11   =  0%   0 pps
193.10.81.34   
193.10.82.5     umu34-gw.sunet.se 
     |     ^      ttl   19        0/8    = --%   0 pps     0/4    = --%   0 pps
     v     |      hop   10 ms     0/20   =  0%   0 pps     0/11   =  0%   0 pps
193.10.82.6    
192.36.148.196  upper-gw.sunet.se 
     |     ^      ttl   36     -822/822  =-99%  51 pps    -4/4    = --%   0 pps
     v     |      hop   81 s  -2307/2307 =-99%  51 pps   -11/11   =-99%   0 pps
192.36.148.206  stockholm.mbone.ebone.net 
     |     ^      ttl   69        0/19   =  0%   1 pps     0/8    = --%   0 pps
     v     |      hop  -60 s      0/50   =  0%   1 pps     0/22   =  0%   0 pps
198.67.134.250  schnell.ebone.net 
     |     ^      ttl   69        0/23   =  0%   1 pps     0/8    = --%   0 pps
     v     |      hop  -20 s      0/61   =  0%   1 pps     0/22   =  0%   0 pps
199.94.207.2    cambridge1-mbone1.bbnplanet.net 
     |     ^      ttl   69        0/104  =  0%   6 pps     0/8    = --%   0 pps
     v     |      hop   19 ms    -1/249  =  0%   5 pps     0/22   =  0%   0 pps
199.94.220.184  all-purpose-gunk.near.net 
     |      \__   ttl   69          80           5 pps       8            0 pps
     v         \  hop  -17 ms       225          5 pps       22           0 pps
199.94.220.184  199.94.220.184
  Receiver      Query Source
 
Waiting to accumulate statistics... ^C

---

From: John Hawkinson <[email-masked]>
Date: Sat, 24 Aug 1996 22:24:36 -0400

--jhawk

...